
plugin.cpu = function(opt, dopts, stitle, callback)
{
	var options = $.extend(true, {}, dopts);
	$.extend(true, options, {
	    colors: [
		'#CCCCCC',
		'#77CC00',
		'#8844FF',
		'#FF4400'
	    ],
	    chart: {
		type: 'area',
	    },
	    title: { text: 'CPU Utilisation' },
	    subtitle: { text: stitle },
	    yAxis: {
		title: { text: 'Usage (%)' },
		min: 0,
		max: 100
	     },
	    tooltip: {
		valueSuffix: '%',
		xDateFormat: '%e %b %Y, %H:%M'
	    }
	});

	$.getJSON('data/cpu.jim?range=' + opt, function(data) {
		var xdata = data.xdata;

		$.each(data.ydata, function(key, val) {
			$.each(val, function(key, val) {
				var series = {
					name: key,
					data: []
				};
				$.each(val, function(key, val) {
					if (val == 'null')
						series.data.push([xdata[key],
						    null]);
					else
						series.data.push([xdata[key],
						    parseFloat(val)]);
				});
				options.series.push(series);
			});
		});

		callback(options);
	});
};

