
function prettyspeed(val)
{
	if (val >= 1048576)
	{
		val /= 1048576;
		return val.toFixed(2) + " Mib/s";
	}
	if (val >= 1024)
	{
		val /= 1024;
		return val.toFixed(2) + " Kib/s";
	}
	return val + " b/s";
}

plugin.net = function(opt, dopts, stitle, callback)
{
	var options = $.extend(true, {}, dopts);
	$.extend(true, options, {
	    colors: [
		'rgba(0,204,0,0.5)',
		'rgba(0,0,255,0.5)',
		'#ff0000',
		'#ff00ff'
	    ],
	    chart: {
		type: 'area'
	    },
	    title: { text: 'Network Utilisation' },
	    subtitle: { text: stitle },
	    yAxis: {
		title: { text: 'Usage' },
		labels: { formatter: function() {
			return prettyspeed(this.value);
		}},
		min: 0
	     },
	    plotOptions: {
		series: { lineWidth: 1 },
		area: {
		    stacking: null,
		    marker: { enabled: false },
		    fillOpacity: 0.5
		}
	    },
	    tooltip: {
		formatter: function() {
			return prettyspeed(this.y);
		}
	    },
	});

	$.getJSON('data/net.jim?range=' + opt, function(data) {
		var xdata = data.xdata;

		$.each(data.ydata, function(key, val) {
			$.each(val, function(key, val) {
				var series = {
					name: key,
					data: []
				};
				$.each(val, function(key, val) {
					if (val == 'null')
						series.data.push([xdata[key],
						    null]);
					else
						series.data.push([xdata[key],
						    parseFloat(val)]);
				});
				options.series.push(series);
			});
		});

		callback(options);
	});
};

