
plugin.temp = function(opt, dopts, stitle, callback)
{
	var options = $.extend(true, {}, dopts);
	$.extend(true, options, {
	    colors: [
		'#AA4643',
		'#4572A7',
		'#92A8CD',
		'#B5CA92'
	    ],
	    chart: {
		type: 'areaspline',
	    },
	    title: { text: 'HDD Temperature' },
	    subtitle: { text: stitle },
	    yAxis: { title: { text: 'Temperature (°C)' } },
	    tooltip: {
		formatter: function() {
			return '<b>' +
			    Highcharts.dateFormat('%e %b %Y, %H:%M', this.x) +
			    '</b><br/>' + this.total + '°C';
		}
	    }
	});

	$.getJSON('data/temp.jim?range=' + opt, function(data) {
		var xdata = data.xdata;

		$.each(data.ydata, function(key, val) {
			$.each(val, function(key, val) {
				var series = {
					name: key,
					data: []
				};
				$.each(val, function(key, val) {
					if (val == 'null')
						series.data.push([xdata[key],
						    null]);
					else
						series.data.push([xdata[key],
						    parseFloat(val)]);
				});
				options.series.push(series);
			});
		});

		callback(options);
	});
};

